Subject: bug in saving attachments

From: Martijn Vernooy <[email-masked]>
Date: Wed, 10 May 2000 11:35:36 +0200 (CEST)

I'm using Pine 3.96 and I noticed this weird bug:

I got a mail with an attachment named 'Microsoft Word.doc'.
I wanted to save it, in order to view it. So I pressed view, and then
save. It gave me the name: 'Microsoft Word.doc'. However I wanted to save
it to the temp dir, so I changed it to '/var/tmp/Microsoft Word.doc'. It
then told me that I wasn't allowed to use spaced, which is stupid, because
I used the filename it suggested. So I removed the space, and pressed
enter. Now it said: 'File saved to /var/tmp/Microsoft Word.doc' i.e. it
didn't save it to the name I chose, but to the name it suggested, even
while it didn't think that filename was ok. (saving files with any
character in them is ok in Unix btw.) I checked, and this does not happen
if you do not prepend a path, saving to the homedirectory.

Martijn Vernooij

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------